"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.changeHistory = changeHistory;
exports.formatQueryString = formatQueryString;
exports.getSearchParams = getSearchParams;
exports.getURL = getURL;
exports.setHistory = setHistory;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function getURL() {
  return "".concat(location.origin).concat(location.pathname);
}

function getSearchParams() {
  var result = {};
  var URI = new URLSearchParams(location.search);

  var _iterator = _createForOfIteratorHelper(URI.entries()),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var _step$value = (0, _slicedToArray2["default"])(_step.value, 2),
          _key = _step$value[0],
          value = _step$value[1];

      result[_key] = value;
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  return result;
}

function formatQueryString(obj) {
  var result = '?';
  var params = Object.entries(obj);

  for (var _i = 0, _params = params; _i < _params.length; _i++) {
    var _params$_i = (0, _slicedToArray2["default"])(_params[_i], 2),
        _key2 = _params$_i[0],
        value = _params$_i[1];

    result += "".concat(_key2, "=").concat(value, "&");
  }

  return params.length > 0 ? result.slice(0, result.length - 1) : result;
}

function setHistory(data, url) {
  history.pushState(data, '', url !== undefined ? url : getURL() + formatQueryString(data));
}

function changeHistory(data, url) {
  history.replaceState(data, '', url !== undefined ? url : getURL() + formatQueryString(data));
}