"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useSwipe;

var _react = require("react");

var _events = _interopRequireDefault(require("./events"));

function useSwipe(dom, length, config) {
  var Events = (0, _events["default"])(dom, length, config);
  (0, _react.useEffect)(function () {
    var init = setTimeout(function () {
      return Events.init();
    }, 0);
    return function () {
      return clearTimeout(init);
    };
  });
  (0, _react.useEffect)(function () {
    var handleResize = function handleResize() {
      return Events.resize();
    };

    window.addEventListener('resize', handleResize);
    return function () {
      return window.removeEventListener('resize', handleResize);
    };
  }, []);
  return {
    onTouchStart: Events.mobileStart,
    onTouchMove: Events.mobileMove,
    onTouchEnd: Events.mobileEnd,
    onTouchCancel: Events.mobileEnd,
    onPointerDown: Events.desktopStart,
    onPointerMove: Events.desktopMove,
    onPointerUp: Events.desktopEnd,
    onPointerLeave: Events.desktopEnd,
    onPointerCancel: Events.desktopEnd
  };
}